Skip to main content
`Ctrl`+`K`

# TSSetCFLTimeLocal

Set the local CFL constraint relative to forward Euler

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetCFLTimeLocal(TS ts, PetscReal cfltime)

Logically Collective

## Input Parameters

- ts - time stepping context

- cfltime - maximum stable time step if using forward Euler (value can be different on each process)

## Note

After calling this function, the global CFL time can be obtained by calling TSGetCFLTime()

## See Also

TS: Scalable ODE and DAE Solvers, `TSGetCFLTime()`, `TSADAPTCFL`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages